package com.seeyon.apps.esign.fieldCtrl;

import com.seeyon.cap4.form.bean.ParamDefinition;
import com.seeyon.cap4.form.bean.fieldCtrl.FormFieldCustomCtrl;
import com.seeyon.cap4.form.util.Enums;


public class ContractCompareFieldCtrl extends FormFieldCustomCtrl {
    @Override
    public String getPCInjectionInfo() {
        return "{path:'apps_res/cap/customCtrlResources/esignContractCompareBtnResources',jsUri:'/js/compareinit.js',initMethod:'init',nameSpace:'" + getNameSpace() + "'}";
    }

    @Override
    public String getMBInjectionInfo() {
        return "{path:'http://mapResource.v5.cmp/v1.0.0/',weixinpath:'invoice',jsUri:'js/location.js',initMethod:'init',nameSpace:'"+getNameSpace()+"'}";
    }

    @Override
    public String getKey() {
        return "8899554679928334458";
    }

    @Override
    public boolean canUse(Enums.FormType formType) {
        return true;
    }

    @Override
    public String[] getDefaultVal(String s) {
        return new String[0];
    }

    public String getNameSpace() {
        return "field_" + this.getKey();
    }

    public String getFieldLength() {
        return "20";
    }
    @Override
    public String getText() {
        return "e签宝合同比对按钮";
    }

    /**
     * 控件初始化接口，此接口在控件初始化的时候，会调用，主要用于定义控件所属插件id、在表单编辑器中的图标、表单编辑器中有哪些属性可以设置。
     * 使用举例：在接口中定义自定义控件在在表单编辑器中有哪些控件属性需要配置
     */
    @Override
    public void init() {
        //设置图标和插件ID
        setPluginId("src_esign");
        setIcon("cap-icon-custom-button");
        // 自定义参数

        ParamDefinition esignContractCompareBtnParam = new ParamDefinition();
        esignContractCompareBtnParam.setParamType(Enums.ParamType.button);
        addDefinition(esignContractCompareBtnParam);
    }
}
